### Struct

# Gcr Parsed

#### Description [src]

    struct GcrParsed {
      /* No available fields */
    }

A parsed item parsed by a `GcrParser`.

#### Functions

###### gcr_parsed_unref

Unreferences a parsed item which was referenced with gcr_parsed_ref().

#### Instance methods

###### gcr_parsed_get_attributes

Get the attributes which make up the parsed item.

###### gcr_parsed_get_bytes

Get the raw data block for the parsed item.

###### gcr_parsed_get_data

Get the raw data block for the parsed item.

###### gcr_parsed_get_description

Get the descirption for a parsed item.

###### gcr_parsed_get_filename

Get the filename of the parsed item.

###### gcr_parsed_get_format

Get the format of the parsed item.

###### gcr_parsed_get_label

Get the label for the parsed item.

###### gcr_parsed_ref

Add a reference to a parsed item. An item may not be shared across threads until it has been referenced at least once.